package com.molin.study_class.controller;

import com.molin.study_class.entry.ApiResponse;
import com.molin.study_class.entry.Record;
import com.molin.study_class.service.RecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("/Record")
@RestController
public class RecordController {
    @Autowired
    private RecordService recordService;

    @GetMapping("/query_class_name")
    public ApiResponse queryClassName(String className) {
        if (recordService.getAllRecordByClassName(className) == null){
            return new ApiResponse(0, "Error", null);
        }
        return new ApiResponse(1, "success", recordService.getAllRecordByClassName(className));
    }

    @PostMapping("/create_reservation")
    public ApiResponse createReservation(@RequestBody Record record) {
        return recordService.addRecord(record);
    }
}
