package com.molin.study_class.entry;

import lombok.Data;

@Data
public class ApiResponse {
    private Integer code;
    private String msg;
    private Long time;
    private Object data;

    public ApiResponse(Integer code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.time = System.currentTimeMillis();
        this.data = data;
    }

    public ApiResponse(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
        this.time = System.currentTimeMillis();
        this.data =null;
    }
}
