package com.molin.study_class.service.Impl;

import com.molin.study_class.dao.MeetingMapper;
import com.molin.study_class.entry.Meeting;
import com.molin.study_class.service.MeetingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MeetingServiceImpl implements MeetingService {
    @Autowired
    private MeetingMapper meetingMapper;

    public List<Meeting> getAllMeeting() {
        return meetingMapper.getAllMeeting();
    }

    public Meeting getMeetingByName(String name) {
        return meetingMapper.getMeetingByName(name);
    }
}
