package com.molin.study_class.controller;

import com.molin.study_class.entry.ApiResponse;
import com.molin.study_class.service.MeetingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/Meeting")
@RestController
public class MeetingController {
    @Autowired
    private MeetingService meetingService;

    @GetMapping("/query_meetings")
    public ApiResponse queryMeetings()
    {
        if (meetingService.getAllMeeting() == null){
            return new ApiResponse(0, "Error", null);
        }
        return new ApiResponse(1, "success", meetingService.getAllMeeting());
    }
}
