package com.molin.study_class.service.Impl;

import com.molin.study_class.dao.RecordMapper;
import com.molin.study_class.entry.ApiResponse;
import com.molin.study_class.entry.Record;
import com.molin.study_class.service.RecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class RecordServiceImpl implements RecordService {
    @Autowired
    private RecordMapper recordMapper;

    public List<Record> getAllRecordByClassName(String name)
    {
        return recordMapper.getAllRecordByClassName(name);
    }

    public Record getRecord(Record record)
    {
        return recordMapper.getRecord(record);
    }

    public ApiResponse addRecord(Record newRecord)
    {
        Record  record = recordMapper.getRecord(newRecord);
        if (record != null)
        {
            return new ApiResponse(0, "该记录已存在");
        }
        recordMapper.addRecord(newRecord);
        return new ApiResponse(1, "success",  newRecord);
    }
}
